"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 15.12.20

"""
from django.utils.translation import gettext_lazy as _

from konova.settings import ADD_INTERVENTION, CREATE_SHARE_LINK, DELETE_ECOACCOUNT, EDIT_ECOACCOUNT, ADD_ECOACCOUNT, \
    DELETE_COMPENSATION, EDIT_COMPENSATION, ADD_COMPENSATION, DELETE_INTERVENTION, EDIT_INTERVENTION, VALIDITY_CHECK, \
    DELETE_EMA, EDIT_EMA, ADD_EMA, RECORD_DATA

TEST_ORGANISATION_DATA = [
        {
            "name": "Test_Official_1",
        },
        {
            "name": "Test_Official_2",
        },
        {
            "name": "Test_NGO_1",
        },
        {
            "name": "Test_Company_1",
        },
    ]

# Groups permissions are declared in konova/settings.py
GROUPS_DATA = [
        {
            "name": _("Default"),
            "permissions": [
                ADD_INTERVENTION,
                EDIT_INTERVENTION,
                DELETE_INTERVENTION,
                ADD_COMPENSATION,
                EDIT_COMPENSATION,
                DELETE_COMPENSATION,
                ADD_ECOACCOUNT,
                EDIT_ECOACCOUNT,
                DELETE_ECOACCOUNT,
                CREATE_SHARE_LINK,
            ]
        },
        {
            "name": _("Registration office"),
            "permissions": [
                VALIDITY_CHECK,
            ]
        },
        {
            "name": _("Conservation office"),
            "permissions": [
                RECORD_DATA,
                ADD_EMA,
                EDIT_EMA,
                DELETE_EMA,
            ]
        },
    ]